=== debian/changelog ===
rust-wasmtime (36.0.5+dfsg-3) unstable; urgency=medium

  * really bump project versions in virtual packages and autopkgtests
  * provide and autopkgtest crate wasmtime-internal-unwinder

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 22 Feb 2026 12:53:22 +0100

rust-wasmtime (36.0.5+dfsg-2) unstable; urgency=medium

  * adjust patch 2000 to use feature component-modeli
    (not bogus customfeature)
  * provide and autopkgtest crates
    cranelift-assembler-x64 cranelift-assembler-x64-meta cranelift-srcgen

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 22 Feb 2026 00:00:36 +0100

rust-wasmtime (36.0.5+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update watch file: limit to match v36
  * update copyright info:
    + avoid minified JavaScript code when repackaging upstream source
    + license patches same as main upstream license
  * bump project versions in virtual packages and autopkgtests
  * build-depend on packages for crates cargo_metadata wasmprinter
  * provide and autopkgtest wasmtime-internal-jit-icache-coherence
    (not wasmtime-jit-icache-coherence);
    provide and autopkgtest wasmtime-internal-math
    (not wasmtime-math)
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Feb 2026 20:32:03 +0100

rust-wasmtime (29.0.1+dfsg-8) unstable; urgency=medium

  * add patch 1001_toml
    to accept newer minor version of crate toml;
    relax build-dependency for crate toml

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 01 Feb 2026 12:08:20 +0100

rust-wasmtime (29.0.1+dfsg-7) unstable; urgency=medium

  * tighten build-dependency for crate toml

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 31 Jan 2026 12:12:22 +0100

rust-wasmtime (29.0.1+dfsg-6) unstable; urgency=medium

  * extend patch 1001 to cover newer minor version of crate itertools;
    relax build-dependency for crate itertools;
    closes: bug#1126626, thanks to Peter Michael Green
  * relax (build-, autopkgtest-)dependencies for all crates,
    except autopkgtest-dependencies for own feature-providing provisions
  * update copyright info:
    + really avoid any .git* files when repackaging upstream source
  * update git-buildpackage config:
    + stop superfluously filter out .git* files

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 Jan 2026 10:52:47 +0100

rust-wasmtime (29.0.1+dfsg-5) unstable; urgency=medium

  * fix patch 2006

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 16 Jan 2026 10:03:24 +0100

rust-wasmtime (29.0.1+dfsg-4) unstable; urgency=medium

  * stop set Multi-Arch: foreign,
    incompatible with arch-any packaged crates
  * add patch 1002 to add feature fences for tests
  * extend patch 2006 to cover broken cranelift-jit example
  * update copyright info:
    + update coverage
    + avoid any .git* files when repackaging upstream source

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 15 Jan 2026 19:15:05 +0100
