=== debian/control ===
Source: rust-wasmtime
Section: rust
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust (= 1),
 librust-anyhow-dev,
 librust-arbitrary-dev,
 librust-async-trait-dev,
 librust-base64-dev,
 librust-bumpalo-dev,
 librust-bytes-dev,
 librust-bytesize-dev,
 librust-cap-std-dev,
 librust-capstone-dev,
 librust-cargo-metadata-dev,
 librust-cfg-if-dev,
 librust-clap-complete-dev,
 librust-clap-dev,
 librust-codespan-reporting-dev,
 librust-directories-next-dev,
 librust-env-logger-dev,
 librust-filetime-dev,
 librust-futures-dev,
 librust-gimli-dev,
 librust-hashbrown-dev,
 librust-humantime-dev,
 librust-indicatif-dev,
 librust-itertools-dev (<< 0.15),
 librust-libc-dev,
 librust-libm-dev,
 librust-libtest-mimic-dev,
 librust-log-dev,
 librust-memfd-dev,
 librust-memmap2-dev,
 librust-object-dev,
 librust-paste-dev,
 librust-postcard-dev,
 librust-pretty-env-logger-dev,
 librust-psm-dev,
 librust-regalloc2-dev,
 librust-region-dev,
 librust-rustc-hash-dev,
 librust-serde-derive-dev,
 librust-serde-dev,
 librust-serde-json-dev,
 librust-sha2-dev,
 librust-similar-dev,
 librust-smallvec-dev,
 librust-souper-ir-dev,
 librust-sptr-dev,
 librust-target-lexicon-dev,
 librust-tempfile-dev,
 librust-thiserror-dev,
 librust-toml-dev,
 librust-tracing-dev,
 librust-trait-variant-dev,
 librust-walkdir-dev,
 librust-wasmparser-dev,
 librust-wasmprinter-dev,
 librust-wat-dev,
 librust-zstd-dev,
 rustfmt,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/debian/rust-wasmtime.git
Vcs-Browser: https://salsa.debian.org/debian/rust-wasmtime
Homepage: https://wasmtime.dev/

Package: librust-cranelift-dev
Architecture: all
#Multi-Arch: foreign
Depends:
 librust-anyhow-dev,
 librust-arbitrary-dev,
 librust-bumpalo-dev,
 librust-capstone-dev,
 librust-cfg-if-dev,
 librust-codespan-reporting-dev,
 librust-env-logger-dev,
 librust-gimli-dev,
 librust-hashbrown-dev,
 librust-libc-dev,
 librust-libm-dev,
 librust-log-dev,
 librust-memmap2-dev,
 librust-object-dev,
 librust-postcard-dev,
 librust-regalloc2-dev,
 librust-region-dev,
 librust-rustc-hash-dev,
 librust-serde-derive-dev,
 librust-serde-dev,
 librust-sha2-dev,
 librust-similar-dev,
 librust-smallvec-dev,
 librust-souper-ir-dev,
 librust-sptr-dev,
 librust-target-lexicon-dev,
 librust-thiserror-dev,
 rustfmt,
 ${misc:Depends},
Provides:
 librust-cranelift-0.123+core-dev (= ${binary:Version}),
 librust-cranelift-0.123+default-dev (= ${binary:Version}),
 librust-cranelift-0.123+frontend-dev (= ${binary:Version}),
 librust-cranelift-0.123+interpreter-dev (= ${binary:Version}),
 librust-cranelift-0.123+jit-dev (= ${binary:Version}),
 librust-cranelift-0.123+module-dev (= ${binary:Version}),
 librust-cranelift-0.123+native-dev (= ${binary:Version}),
 librust-cranelift-0.123+object-dev (= ${binary:Version}),
 librust-cranelift-0.123+std-dev (= ${binary:Version}),
 librust-cranelift-0.123-dev (= ${binary:Version}),
 librust-cranelift-0.123.5-dev (= ${binary:Version}),
 librust-cranelift-assembler-x64-0.123+default-dev (= ${rust:Version:librust-cranelift-assembler-x64-dev}),
 librust-cranelift-assembler-x64-0.123-dev (= ${rust:Version:librust-cranelift-assembler-x64-dev}),
 librust-cranelift-assembler-x64-0.123.5-dev (= ${rust:Version:librust-cranelift-assembler-x64-dev}),
 librust-cranelift-assembler-x64-dev (= ${rust:Version:librust-cranelift-assembler-x64-dev}),
 librust-cranelift-assembler-x64-meta-0.123+default-dev (= ${rust:Version:librust-cranelift-assembler-x64-meta-dev}),
 librust-cranelift-assembler-x64-meta-0.123-dev (= ${rust:Version:librust-cranelift-assembler-x64-meta-dev}),
 librust-cranelift-assembler-x64-meta-0.123.5-dev (= ${rust:Version:librust-cranelift-assembler-x64-meta-dev}),
 librust-cranelift-assembler-x64-meta-dev (= ${rust:Version:librust-cranelift-assembler-x64-meta-dev}),
 librust-cranelift-bforest-0.123+default-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
 librust-cranelift-bforest-0.123-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
 librust-cranelift-bforest-0.123.5-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
 librust-cranelift-bforest-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
 librust-cranelift-bitset-0.123+arbitrary-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-0.123+default-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-0.123+enable-serde-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-0.123-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-0.123.5-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-bitset-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
 librust-cranelift-codegen-0.123+all-native-arch-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+arm64-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+core-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+default-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+disas-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+enable-serde-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+incremental-cache-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+isle-errors-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+isle-in-source-tree-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+riscv64-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+s390x-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+souper-harvest-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+std-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+timing-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+unwind-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123+x86-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-0.123.5-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
 librust-cranelift-codegen-meta-0.123+default-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
 librust-cranelift-codegen-meta-0.123-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
 librust-cranelift-codegen-meta-0.123.5-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
 librust-cranelift-codegen-meta-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
 librust-cranelift-codegen-shared-0.123+default-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
 librust-cranelift-codegen-shared-0.123-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
 librust-cranelift-codegen-shared-0.123.5-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
 librust-cranelift-codegen-shared-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
 librust-cranelift-control-0.123+chaos-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-0.123+default-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-0.123+fuzz-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-0.123-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-0.123.5-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-control-dev (= ${rust:Version:librust-cranelift-control-dev}),
 librust-cranelift-entity-0.123+default-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-entity-0.123+enable-serde-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-entity-0.123-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-entity-0.123.5-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-entity-dev (= ${rust:Version:librust-cranelift-entity-dev}),
 librust-cranelift-frontend-0.123+core-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-0.123+default-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-0.123+std-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-0.123-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-0.123.5-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-frontend-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
 librust-cranelift-interpreter-0.123+default-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
 librust-cranelift-interpreter-0.123-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
 librust-cranelift-interpreter-0.123.5-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
 librust-cranelift-interpreter-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
 librust-cranelift-isle-0.123+default-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-0.123+fancy-errors-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-0.123+logging-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-0.123-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-0.123.5-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-isle-dev (= ${rust:Version:librust-cranelift-isle-dev}),
 librust-cranelift-jit-0.123+default-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-jit-0.123+selinux-fix-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-jit-0.123-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-jit-0.123.5-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-jit-dev (= ${rust:Version:librust-cranelift-jit-dev}),
 librust-cranelift-module-0.123+core-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.123+default-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.123+enable-serde-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.123+std-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.123-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-0.123.5-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-module-dev (= ${rust:Version:librust-cranelift-module-dev}),
 librust-cranelift-native-0.123+core-dev (= ${rust:Version:librust-cranelift-native-dev}),
 librust-cranelift-native-0.123+default-dev (= ${rust:Version:librust-cranelift-native-dev}),
 librust-cranelift-native-0.123+std-dev (= ${rust:Version:librust-cranelift-native-dev}),
 librust-cranelift-native-0.123-dev (= ${rust:Version:librust-cranelift-native-dev}),
 librust-cranelift-native-0.123.5-dev (= ${rust:Version:librust-cranelift-native-dev}),
 librust-cranelift-native-dev (= ${rust:Version:librust-cranelift-native-dev}),
 librust-cranelift-object-0.123+default-dev (= ${rust:Version:librust-cranelift-object-dev}),
 librust-cranelift-object-0.123-dev (= ${rust:Version:librust-cranelift-object-dev}),
 librust-cranelift-object-0.123.5-dev (= ${rust:Version:librust-cranelift-object-dev}),
 librust-cranelift-object-dev (= ${rust:Version:librust-cranelift-object-dev}),
 librust-cranelift-reader-0.123+default-dev (= ${rust:Version:librust-cranelift-reader-dev}),
 librust-cranelift-reader-0.123-dev (= ${rust:Version:librust-cranelift-reader-dev}),
