=== debian/rules ===
#!/usr/bin/make -f

# resolve DEB_VERSION DEB_VERSION_UPSTREAM DEB_VERSION_UPSTREAM_REVISION
include /usr/share/dpkg/pkg-info.mk

# resolve crate version
# * get topmost version except prerelease suffix
#   from Cargo.toml file in dir passed as argument
# * source package version if matching upstream part modulo prerelease
# * otherwise append source package version
crate_version = \
 $(shell perl -n \
 -E '/^version\W+\K\d+\.\d+\.\d+/ ' \
 -E 'and say "$(DEB_VERSION_UPSTREAM)" =~ /^\Q$$&\E(?:~[a-z]+\d*)?$$/ ? "$(DEB_VERSION)" : "$$&+$(DEB_VERSION_UPSTREAM_REVISION)" and exit' \
 $1/Cargo.toml)

%:
	dh $@

# unlock dependencies during build
execute_before_dh_auto_configure:
	[ -f Cargo.lock.orig ] || mv Cargo.lock Cargo.lock.orig

# declare version for virtually provided embedded crates
packages = librust-cranelift-dev
vpkgstems = \
 pulley-interpreter cranelift-assembler-x64 cranelift-assembler-x64-meta
vpkgstems_cranelift = \
 bforest bitset codegen codegen-meta codegen-shared control \
 entity frontend interpreter isle jit module native object reader srcgen
vpkgstems_wasmtime = jit-icache-coherence math unwinder
packages_virtual = \
 $(patsubst %,librust-%-dev,$(vpkgstems)) \
 $(patsubst %,librust-cranelift-%-dev,$(vpkgstems_cranelift)) \
 $(patsubst %,librust-wasmtime-%-dev,$(vpkgstems_wasmtime))
override_dh_gencontrol:
	$(eval librust-cranelift-dev_version = $(call crate_version,cranelift/umbrella))\
	$(eval librust-wasmtime-dev_version = $(call crate_version,.))\
	$(eval librust-pulley-interpreter-dev_version = $(call crate_version,.))\
	$(eval librust-cranelift-assembler-x64-dev_version = $(call crate_version,cranelift/assembler-x64))\
	$(eval librust-cranelift-assembler-x64-meta-dev_version = $(call crate_version,cranelift/assembler-x64/meta))\
	$(foreach s,$(vpkgstems_cranelift),\
	 $(eval librust-cranelift-$s-dev_version = $(call crate_version,cranelift/$(subst isle,isle/isle,$(subst -,/,$s)))))\
	$(foreach s,$(vpkgstems_wasmtime),\
	 $(eval librust-wasmtime-$s-dev_version = $(librust-wasmtime-dev_version)))\
	set -e; $(foreach p,$(packages),\
	 dh_gencontrol -p$p -- \
	 -v'$($p_version)' \
	 $(foreach q,$(filter-out $p,$(packages) $(packages_virtual)),\
	 -V'rust:Version:$q=$($q_version)');)
	dh_gencontrol --remaining-packages

# avoid cleaning unless source is patched
override_dh_auto_clean:
	grep -q crates/wasi-common/WASI/ Cargo.toml || dh_auto_clean --buildsystem rust

# re-lock dependencies
execute_after_dh_auto_clean:
	[ ! -f Cargo.lock.orig ] || mv -f Cargo.lock.orig Cargo.lock
