=== debian/changelog ===
rust-wasmtime (36.0.6+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Feb 2026 11:53:34 +0100

rust-wasmtime (36.0.5+dfsg-5) unstable; urgency=medium

  * extend patch 2003_no_fuzz to cover cranelift-assembler-x64

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Feb 2026 11:07:01 +0100

rust-wasmtime (36.0.5+dfsg-4) unstable; urgency=medium

  * provide and autopkgtest crate pulley-macros;
    (build-)depend on packages for crates proc-macro2 quote syn

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Feb 2026 13:12:39 +0100
