=== debian/control ===
--- 
+++ 
@@ -36,6 +36,8 @@
  librust-paste-dev,
  librust-postcard-dev,
  librust-pretty-env-logger-dev,
+ librust-proc-macro2-dev,
+ librust-quote-dev,
  librust-psm-dev,
  librust-regalloc2-dev,
  librust-region-dev,
@@ -48,6 +50,7 @@
  librust-smallvec-dev,
  librust-souper-ir-dev,
  librust-sptr-dev,
+ librust-syn-dev,
  librust-target-lexicon-dev,
  librust-tempfile-dev,
  librust-thiserror-dev,
@@ -85,6 +88,8 @@
  librust-memmap2-dev,
  librust-object-dev,
  librust-postcard-dev,
+ librust-proc-macro2-dev,
+ librust-quote-dev,
  librust-regalloc2-dev,
  librust-region-dev,
  librust-rustc-hash-dev,
@@ -95,6 +100,7 @@
  librust-smallvec-dev,
  librust-souper-ir-dev,
  librust-sptr-dev,
+ librust-syn-dev,
  librust-target-lexicon-dev,
  librust-thiserror-dev,
  rustfmt,
@@ -110,24 +116,24 @@
  librust-cranelift-0.123+object-dev (= ${binary:Version}),
  librust-cranelift-0.123+std-dev (= ${binary:Version}),
  librust-cranelift-0.123-dev (= ${binary:Version}),
- librust-cranelift-0.123.5-dev (= ${binary:Version}),
+ librust-cranelift-0.123.6-dev (= ${binary:Version}),
  librust-cranelift-assembler-x64-0.123+default-dev (= ${rust:Version:librust-cranelift-assembler-x64-dev}),
  librust-cranelift-assembler-x64-0.123-dev (= ${rust:Version:librust-cranelift-assembler-x64-dev}),
- librust-cranelift-assembler-x64-0.123.5-dev (= ${rust:Version:librust-cranelift-assembler-x64-dev}),
+ librust-cranelift-assembler-x64-0.123.6-dev (= ${rust:Version:librust-cranelift-assembler-x64-dev}),
  librust-cranelift-assembler-x64-dev (= ${rust:Version:librust-cranelift-assembler-x64-dev}),
  librust-cranelift-assembler-x64-meta-0.123+default-dev (= ${rust:Version:librust-cranelift-assembler-x64-meta-dev}),
  librust-cranelift-assembler-x64-meta-0.123-dev (= ${rust:Version:librust-cranelift-assembler-x64-meta-dev}),
- librust-cranelift-assembler-x64-meta-0.123.5-dev (= ${rust:Version:librust-cranelift-assembler-x64-meta-dev}),
+ librust-cranelift-assembler-x64-meta-0.123.6-dev (= ${rust:Version:librust-cranelift-assembler-x64-meta-dev}),
  librust-cranelift-assembler-x64-meta-dev (= ${rust:Version:librust-cranelift-assembler-x64-meta-dev}),
  librust-cranelift-bforest-0.123+default-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
  librust-cranelift-bforest-0.123-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
- librust-cranelift-bforest-0.123.5-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
+ librust-cranelift-bforest-0.123.6-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
  librust-cranelift-bforest-dev (= ${rust:Version:librust-cranelift-bforest-dev}),
  librust-cranelift-bitset-0.123+arbitrary-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
  librust-cranelift-bitset-0.123+default-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
  librust-cranelift-bitset-0.123+enable-serde-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
  librust-cranelift-bitset-0.123-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
- librust-cranelift-bitset-0.123.5-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
+ librust-cranelift-bitset-0.123.6-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
  librust-cranelift-bitset-dev (= ${rust:Version:librust-cranelift-bitset-dev}),
  librust-cranelift-codegen-0.123+all-native-arch-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
  librust-cranelift-codegen-0.123+arm64-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
@@ -146,64 +152,63 @@
  librust-cranelift-codegen-0.123+unwind-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
  librust-cranelift-codegen-0.123+x86-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
  librust-cranelift-codegen-0.123-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
- librust-cranelift-codegen-0.123.5-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
+ librust-cranelift-codegen-0.123.6-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
  librust-cranelift-codegen-dev (= ${rust:Version:librust-cranelift-codegen-dev}),
  librust-cranelift-codegen-meta-0.123+default-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
  librust-cranelift-codegen-meta-0.123-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
- librust-cranelift-codegen-meta-0.123.5-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
+ librust-cranelift-codegen-meta-0.123.6-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
  librust-cranelift-codegen-meta-dev (= ${rust:Version:librust-cranelift-codegen-meta-dev}),
  librust-cranelift-codegen-shared-0.123+default-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
  librust-cranelift-codegen-shared-0.123-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
- librust-cranelift-codegen-shared-0.123.5-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
+ librust-cranelift-codegen-shared-0.123.6-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
  librust-cranelift-codegen-shared-dev (= ${rust:Version:librust-cranelift-codegen-shared-dev}),
  librust-cranelift-control-0.123+chaos-dev (= ${rust:Version:librust-cranelift-control-dev}),
  librust-cranelift-control-0.123+default-dev (= ${rust:Version:librust-cranelift-control-dev}),
  librust-cranelift-control-0.123+fuzz-dev (= ${rust:Version:librust-cranelift-control-dev}),
  librust-cranelift-control-0.123-dev (= ${rust:Version:librust-cranelift-control-dev}),
- librust-cranelift-control-0.123.5-dev (= ${rust:Version:librust-cranelift-control-dev}),
+ librust-cranelift-control-0.123.6-dev (= ${rust:Version:librust-cranelift-control-dev}),
  librust-cranelift-control-dev (= ${rust:Version:librust-cranelift-control-dev}),
  librust-cranelift-entity-0.123+default-dev (= ${rust:Version:librust-cranelift-entity-dev}),
  librust-cranelift-entity-0.123+enable-serde-dev (= ${rust:Version:librust-cranelift-entity-dev}),
  librust-cranelift-entity-0.123-dev (= ${rust:Version:librust-cranelift-entity-dev}),
- librust-cranelift-entity-0.123.5-dev (= ${rust:Version:librust-cranelift-entity-dev}),
+ librust-cranelift-entity-0.123.6-dev (= ${rust:Version:librust-cranelift-entity-dev}),
  librust-cranelift-entity-dev (= ${rust:Version:librust-cranelift-entity-dev}),
  librust-cranelift-frontend-0.123+core-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
  librust-cranelift-frontend-0.123+default-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
  librust-cranelift-frontend-0.123+std-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
  librust-cranelift-frontend-0.123-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
- librust-cranelift-frontend-0.123.5-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
+ librust-cranelift-frontend-0.123.6-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
  librust-cranelift-frontend-dev (= ${rust:Version:librust-cranelift-frontend-dev}),
  librust-cranelift-interpreter-0.123+default-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
  librust-cranelift-interpreter-0.123-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
- librust-cranelift-interpreter-0.123.5-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
+ librust-cranelift-interpreter-0.123.6-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
  librust-cranelift-interpreter-dev (= ${rust:Version:librust-cranelift-interpreter-dev}),
  librust-cranelift-isle-0.123+default-dev (= ${rust:Version:librust-cranelift-isle-dev}),
  librust-cranelift-isle-0.123+fancy-errors-dev (= ${rust:Version:librust-cranelift-isle-dev}),
  librust-cranelift-isle-0.123+logging-dev (= ${rust:Version:librust-cranelift-isle-dev}),
  librust-cranelift-isle-0.123-dev (= ${rust:Version:librust-cranelift-isle-dev}),
- librust-cranelift-isle-0.123.5-dev (= ${rust:Version:librust-cranelift-isle-dev}),
+ librust-cranelift-isle-0.123.6-dev (= ${rust:Version:librust-cranelift-isle-dev}),
  librust-cranelift-isle-dev (= ${rust:Version:librust-cranelift-isle-dev}),
  librust-cranelift-jit-0.123+default-dev (= ${rust:Version:librust-cranelift-jit-dev}),
  librust-cranelift-jit-0.123+selinux-fix-dev (= ${rust:Version:librust-cranelift-jit-dev}),
  librust-cranelift-jit-0.123-dev (= ${rust:Version:librust-cranelift-jit-dev}),
- librust-cranelift-jit-0.123.5-dev (= ${rust:Version:librust-cranelift-jit-dev}),
+ librust-cranelift-jit-0.123.6-dev (= ${rust:Version:librust-cranelift-jit-dev}),
  librust-cranelift-jit-dev (= ${rust:Version:librust-cranelift-jit-dev}),
  librust-cranelift-module-0.123+core-dev (= ${rust:Version:librust-cranelift-module-dev}),
  librust-cranelift-module-0.123+default-dev (= ${rust:Version:librust-cranelift-module-dev}),
  librust-cranelift-module-0.123+enable-serde-dev (= ${rust:Version:librust-cranelift-module-dev}),
  librust-cranelift-module-0.123+std-dev (= ${rust:Version:librust-cranelift-module-dev}),
  librust-cranelift-module-0.123-dev (= ${rust:Version:librust-cranelift-module-dev}),
- librust-cranelift-module-0.123.5-dev (= ${rust:Version:librust-cranelift-module-dev}),
+ librust-cranelift-module-0.123.6-dev (= ${rust:Version:librust-cranelift-module-dev}),
  librust-cranelift-module-dev (= ${rust:Version:librust-cranelift-module-dev}),
  librust-cranelift-native-0.123+core-dev (= ${rust:Version:librust-cranelift-native-dev}),
  librust-cranelift-native-0.123+default-dev (= ${rust:Version:librust-cranelift-native-dev}),
  librust-cranelift-native-0.123+std-dev (= ${rust:Version:librust-cranelift-native-dev}),
  librust-cranelift-native-0.123-dev (= ${rust:Version:librust-cranelift-native-dev}),
- librust-cranelift-native-0.123.5-dev (= ${rust:Version:librust-cranelift-native-dev}),
+ librust-cranelift-native-0.123.6-dev (= ${rust:Version:librust-cranelift-native-dev}),
  librust-cranelift-native-dev (= ${rust:Version:librust-cranelift-native-dev}),
  librust-cranelift-object-0.123+default-dev (= ${rust:Version:librust-cranelift-object-dev}),
  librust-cranelift-object-0.123-dev (= ${rust:Version:librust-cranelift-object-dev}),
- librust-cranelift-object-0.123.5-dev (= ${rust:Version:librust-cranelift-object-dev}),
+ librust-cranelift-object-0.123.6-dev (= ${rust:Version:librust-cranelift-object-dev}),
  librust-cranelift-object-dev (= ${rust:Version:librust-cranelift-object-dev}),
  librust-cranelift-reader-0.123+default-dev (= ${rust:Version:librust-cranelift-reader-dev}),
- librust-cranelift-reader-0.123-dev (= ${rust:Version:librust-cranelift-reader-dev}),
