=== debian/tests/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # add required cranelift-codegen features std and unwind
 # skip cranelift-codegen feature isle-in-source-tree: requires writable source
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.5
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.6
  --all-targets --all-features
 Features:
  test-name=cranelift:@,
@@ -21,7 +21,7 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.5
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.6
  --all-targets
 Features:
  test-name=cranelift:default,
@@ -34,7 +34,7 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.5
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.6
  --all-targets --no-default-features
 Features:
  test-name=cranelift:,
@@ -47,7 +47,7 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.5
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.6
  --all-targets --no-default-features --features core
 Features:
  test-name=cranelift:core,
@@ -61,7 +61,7 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.5
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.6
  --all-targets --no-default-features --features std
 Features:
  test-name=cranelift:std,
@@ -75,7 +75,7 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.5
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.6
  --all-targets --no-default-features --features frontend
 Features:
  test-name=cranelift:frontend,
@@ -89,7 +89,7 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.5
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test cranelift 0.123.6
  --all-targets --no-default-features --features interpreter
 Features:
  test-name=cranelift:interpreter,
